CREATE TABLE mow_rule_set_details] (
    RULE_SET_DETAIL_GUID        VARCHAR2(256)     NOT NULL,
    OWNER_MODULE                VARCHAR2(320)     NOT NULL,
    RULE_SET_NAME               VARCHAR2(800) ,
    WORK_OBJECT_GUID            VARCHAR2(256)     NOT NULL,
    CANDIDATE_OBJECT_GUID       VARCHAR2(256)     NOT NULL,
    RULE_TYPE                   VARCHAR2(120)     NOT NULL,
    MIN_SCORE                   NUMBER(9, 0)  ,
    NO_OF_CANDIDATES            NUMBER(9, 0)  ,
    FILTER_TYPE                 VARCHAR2(120) ,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATED_BY_PARTY_ID         NUMBER(18, 0) ,
    LAST_UPDATED_BY_PARTY_ID    NUMBER(18, 0) ,
    USE_SCORE_FLAG              VARCHAR2(4)       NOT NULL,
    RULE_SET_GROUP_GUID         VARCHAR2(256)     NOT NULL,
    RECORD_STATUS               VARCHAR2(4)       NOT NULL,
    REF_ROW_GUID                VARCHAR2(256) ,
    INACTIVE_FLAG               VARCHAR2(4)       NOT NULL,
    START_DATE                  TIMESTAMP(6)  ,
    END_DATE                    TIMESTAMP(6)  ,
    DESCRIPTION                 VARCHAR2(1020),
    MAX_SCORE                   NUMBER(9, 0)  ,
    SEED_DATA_SOURCE            VARCHAR2(2048),
    RULE_SET_NUMBER             VARCHAR2(120) ,
    RULE_SET_ID                 NUMBER(18, 0) ,
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL
);
